/*
 * @Author: wufan
 * @Date: 2020-12-01 17:21:21
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-22 15:26:59
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import Service from "@/common/js/service";

export function sendLoginAuthCode(params: object) {
  return Service.Hades("anon/hades/sendLoginAuthCode", params);
}
export function login(params: object) {
  return Service.Hades("anon/hades/login", params);
}
export function getUserStore(params: object) {
  return Service.Hades("public/hades/getUserStore", params);
}
export function getUserPermission(params: object) {
  return Service.Hades("public/hades/getPermission", params);
}
export function logout(params: object) {
  return Service.Hades("public/hades/logout", params);
}
export function getStoreUser(params: object) {
  return Service.Hades("public/hades/getStoreUser", params);
}
export function sendBizAuthCode(params: object) {
  return Service.Hades("public/hades/sendBizAuthCode", params);
}
export function checkBizAuthCode(params: object) {
  return Service.Hades("public/hades/checkBizAuthCode", params);
}
export function sendNewPhoneAuthCode(params: object) {
  return Service.Hades("public/hades/sendUserCenterAuthCode", params);
}
export function editUserPhone(params: object) {
  return Service.Hades("public/hades/editUserPhone", params);
}
export const getOssClient = (
  data: object,
  instId: string,
  bizCode: string,
  resourceName: string,
  accessTypeEnum: string
) => {
  return Service.postJSON('mfs/anon/mfs/multiPartUpload', {
    data,
    instId,
    bizCode,
    resourceName,
    accessTypeEnum
  });
}

